SMSURLConnection
Date: 2013-06-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.protocol
Class SMSURLConnection

    java.lang.Object
      java.net.URLConnection
          org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.protocol.SMSURLConnection

    public class SMSURLConnection

extends java.net.URLConnection

This is invoked by the platform with a URL of the right protocol.

Author:
  Fabio Simeoni (University of Strathclyde), Federico De Faveri defaveri@isti.cnr.it

Field Summary
`static java.lang.String` | `SMS_PROTOCOL_NAME`

Constructor Summary
`SMSURLConnection(java.net.URL url)`

Method Summary
`static void` | `activateProtocol()` Registers the protocol with the JVM.
`void` | `connect()`
`java.io.InputStream` | `getInputStream()`
`static java.lang.String` | `getOIDUrl(java.lang.String oid)`
`static java.net.URLConnection` | `openConnection(java.net.URI uri)`
`static java.net.URLConnection` | `openConnection(java.net.URI uri, java.lang.String scope)` Deprecated.
`void` | `setRequestProperty(java.lang.String key, java.lang.String value)` Deprecated.
`static void` | `setScopeManager(GCUBEScopeManager sm)` Deprecated.

Methods inherited from class java.net.URLConnection
`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFields, getIfModifiedSince, getLastModified, getOutputStream, getPermission, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setUseCaches, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SMS_PROTOCOL_NAME

    public static final java.lang.String SMS_PROTOCOL_NAME

See Also:
  Constant Field Values

Constructor Detail

### SMSURLConnection

    public SMSURLConnection(java.net.URL url)
                     throws java.io.IOException

Parameters:
  `url` -
Throws:
  `java.io.IOException`

Method Detail

### getOIDUrl

    public static java.lang.String getOIDUrl(java.lang.String oid)

### openConnection

    @Deprecated
    public static java.net.URLConnection openConnection(java.net.URI uri,
                                                                   java.lang.String scope)
                                                 throws java.io.IOException,
                                                        java.net.URISyntaxException

  Deprecated.

  Throws:
    `java.io.IOException`
    `java.net.URISyntaxException`

### openConnection

    public static java.net.URLConnection openConnection(java.net.URI uri)
                                                 throws java.io.IOException,
                                                        java.net.URISyntaxException

  Throws:
    `java.io.IOException`
    `java.net.URISyntaxException`

### setScopeManager

    @Deprecated
    public static void setScopeManager(GCUBEScopeManager sm)

  Deprecated.

### setRequestProperty

    @Deprecated
    public void setRequestProperty(java.lang.String key,
                                              java.lang.String value)

  Deprecated.

  Overrides:
    `setRequestProperty` in class `java.net.URLConnection`

### activateProtocol

    public static void activateProtocol()

  Registers the protocol with the JVM.

### connect

    public void connect()
                 throws java.io.IOException

  Specified by:
    `connect` in class `java.net.URLConnection`
  Throws:
    `java.io.IOException`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Overrides:
    `getInputStream` in class `java.net.URLConnection`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD